.\" $NetBSD: irframe.4,v 1.12 2008/04/30 13:10:54 martin Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Lennart Augustsson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd December 2, 2001
.Dt IRFRAME 4
.Os
.Sh NAME
.Nm irframe
.Nd IrDA frame level driver
.Sh SYNOPSIS
.Cd "irframe* at oboe?"
.Cd "irframe* at uirda?"
.Cd "irframe* at ustir?"
.Cd "pseudo-device irframetty"
.Pp
.In dev/irdaio.h
.Sh DESCRIPTION
The
.Nm
driver provides support for IrDA frame level transmission.
It does not contain the IrDA protocol stack per se, but the stack
can be built on top of the
.Nm
driver.
.Pp
Access to frames is via the
.Xr read 2
and
.Xr write 2
system calls.  Each write constitutes one frame, and each read yields one frame.
The
.Xr poll 2
system call can be used to check for availability of frames.
There are also a number of
.Xr ioctl 2
calls to manipulate the device:
.Bl -tag -width xxxxxx
.It Dv IRDA_RESET_PARAMS
Reset the parameters set by
.Dv IRDA_SET_PARAMS .
.It Dv IRDA_SET_PARAMS Fa "(struct irda_params)"
Set the speed, extra beginning of frame bytes, and maximum frame size.
.It Dv IRDA_GET_SPEEDMASK Fa (int)
Get the set of allowable speeds.
.It Dv IRDA_GET_TURNAROUNDMASK Fa (int)
Get the set of allowable turn around times.
.El
.Sh SEE ALSO
.Xr cir 4 ,
.Xr irframetty 4 ,
.Xr oboe 4 ,
.Xr uirda 4 ,
.Xr ustir 4
.\" .Xr smccir 4 ,
.\" .Xr ircomm 8 ,
.\" .Xr irobex 8
.Pp
comms/birda package
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 1.6 .
